import { Expose, Type } from 'class-transformer';
import { EquipoMinOutputDto } from '../../../equipo/dto/output/equipo-min.dto';
import { UsuarioInstitucionCarreraMinOutputDto } from '../../../institucion-usuario/dto/output/usuario-institucion-carrera-min.dto';

export class PrestamoEquipoOutputDto {
  @Expose()
  id_prestamo;

  @Expose()
  activo;

  @Expose()
  fecha_entrega;

  @Expose()
  fecha_inicio;

  @Expose()
  hora_fin;

  @Expose()
  hora_inicio;

  @Expose()
  hora_max_recoger;

  @Expose()
  @Type(() => EquipoMinOutputDto)
  equipo;

  @Expose()
  @Type(() => UsuarioInstitucionCarreraMinOutputDto)
  institucionUsuario;
}
