import { IsDateString, IsNumberString, IsOptional } from 'class-validator';

export class IdInstitucionOptionalDto {
  @IsNumberString()
  @IsOptional()
  id_institucion?: string;

  @IsDateString()
  @IsOptional()
  fechaFin?: string;

  @IsDateString()
  @IsOptional()
  fechaInicio?: string;
}
