import { Expose, Type } from 'class-transformer';
import { InstitucionInfraccionOutputDto } from '../../../institucion-infraccion/dto/output/institucion-infraccion.dto';
import { OperadorMinOutputDto } from '../../../operador/dto/output/operador-min.dto';
import { PrestamoEquipoMinOutputDto } from '../../../prestamo/dto/output/prestamo-equipo-min.dto';

export class MultasEquipoOutputDto {
  @Expose()
  id_multa;

  @Expose()
  activo;

  @Expose()
  descripcion;

  @Expose()
  fecha_fin;

  @Expose()
  fecha_inicio;

  @Expose()
  retraso;

  @Expose()
  @Type(() => InstitucionInfraccionOutputDto)
  institucionInfraccion;

  @Expose()
  @Type(() => OperadorMinOutputDto)
  operadorMulta;

  @Expose()
  @Type(() => PrestamoEquipoMinOutputDto)
  prestamo;
}
